Skip to main content
GET
/
public
/
v2
/
contracts
List Contracts
curl --request GET \
  --url https://api.dualentry.com/public/v2/contracts/ \
  --header 'X-API-KEY: <api-key>'
{
  "items": [
    {
      "id": 123,
      "number": 123,
      "name": "<string>",
      "memo": "<string>",
      "date": "2023-12-25",
      "start_date": "2023-12-25",
      "bill_to_address": "<string>",
      "ship_to_address": "<string>",
      "billing_start_date": "2023-12-25",
      "billing_interval": 123,
      "recognition_start_date": "2023-12-25",
      "recognition_interval": 123,
      "is_incomplete": true,
      "is_locked": true,
      "revenue_recognitions": [
        {
          "id": 123,
          "number": 123,
          "contract_id": 123,
          "date": "2023-12-25",
          "transaction_date": "2023-12-25",
          "amount": "<string>",
          "transaction_id": 123,
          "income_account_id": 123,
          "deferrered_revenue_account_id": 123,
          "performance_obligation_id": 123
        }
      ],
      "invoices": [
        {
          "id": 123,
          "number": 123,
          "date": "2023-12-25",
          "due_date": "2023-12-25",
          "amount": "<string>",
          "tax_amount": "<string>",
          "paid_total": "<string>",
          "source": "<string>",
          "term_id": 123
        }
      ],
      "amount": "<string>",
      "metrics": {
        "mrr": "<string>",
        "arr": "<string>",
        "amount_invoiced": "<string>",
        "invoices_paid": "<string>",
        "revenue_recognized": "<string>",
        "unbilled_revenue": "<string>",
        "unrecognized_revenue": "<string>",
        "deferred_revenue": "<string>",
        "total_contract_value": "<string>",
        "amount_invoiced_percentage": "<string>",
        "invoices_paid_percentage": "<string>",
        "revenue_recognized_percentage": "<string>",
        "next_invoice_date": "2023-12-25",
        "total_discount_amount": "0",
        "total_tax_amount": "0"
      },
      "custom_fields": [],
      "completed_approvals_count": 0,
      "total_approvals_count": 0,
      "integration_remote_records": [],
      "company_id": 123,
      "company_name": "<string>",
      "company_currency": "<string>",
      "customer_id": 123,
      "customer_name": "<string>",
      "term_id": 123,
      "contract_template_id": 123,
      "end_date": "2023-12-25",
      "billing_address": {
        "street": "<string>",
        "city": "<string>",
        "postal_code": "<string>",
        "state": "",
        "country": "",
        "second_line": "",
        "name": "<string>"
      },
      "shipping_address": {
        "street": "<string>",
        "city": "<string>",
        "postal_code": "<string>",
        "state": "",
        "country": "",
        "second_line": "",
        "name": "<string>"
      },
      "billing_anchor_weekday": 123,
      "recognition_anchor_weekday": 123,
      "cutover_date": "2023-12-25",
      "prior_recognized_amount": "<string>",
      "default_early_termination_fee": "<string>",
      "workflow_status": "<string>",
      "pending_approvers_count": 0,
      "payment": {
        "type": "<string>",
        "id": 123,
        "body": "<string>",
        "link": "<string>"
      },
      "renewed_end_date": "2023-12-25",
      "next_renewal_date": "2023-12-25",
      "days_till_expiry": 123,
      "terminations": [],
      "termination": {
        "id": 123,
        "number": 123,
        "contract_id": 123,
        "termination_type": "<string>",
        "termination_date": "2023-12-25",
        "transaction_id": 123,
        "memo": "<string>",
        "date": "2023-12-25",
        "early_termination_fee": "<string>",
        "early_termination_fee_item_id": 123,
        "fee_invoice_id": 123,
        "refund_amount": "<string>",
        "refund_credit_account_id": 123
      },
      "change_orders": [],
      "cached_metrics": {
        "tcv": "<string>",
        "mrr": "0",
        "arr": "0",
        "amount_invoiced_percentage": "<string>",
        "revenue_recognized": "0",
        "revenue_recognized_percentage": "<string>",
        "next_invoice_date": "2023-12-25"
      }
    }
  ],
  "count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.dualentry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Query Parameters

integration_sources
enum<string>[] | null
Available options:
bill_com,
ramp,
zoho,
fivetran,
stripe,
hubspot,
brex,
cubby,
avalara,
deel,
tax1099,
sitelink,
postgresql,
qlik,
power_bi,
snowflake,
avidxchange,
concur,
salesforce,
quickbooks,
xero,
netsuite_suiteanalytics,
sage_intacct,
adp_totalsource,
justworks,
paychex_flex,
paycom,
gusto,
ukg_ready
search
string | null
id
integer[] | null
company_id
integer[] | null
number
integer[] | null
customer_id
integer[] | null
status
enum<string>[] | null

Filter-only enum that extends ContractStatus with virtual statuses.

Available options:
draft,
review,
active,
completed,
terminated,
archived
start_date
string<date> | null
end_date
string<date> | null
contract_start_date
string<date> | null
contract_end_date
string<date> | null
approval_status
string[] | null
has_auto_renewal
boolean | null
has_scheduled_termination
boolean | null
days_till_expiry
integer | null
ordering
string | null
default:-updated_at
limit
integer
default:100

Number of records to return per page (capped at 100)

Required range: x >= 1
offset
integer
default:0

Number of records to skip before starting to return results

Required range: x >= 0

Response

OK

items
ContractListSchemaOut · object[]
required
count
integer
required
Last modified on May 29, 2026